com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams

- java.lang.Object
- - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams

- Enclosing class:
    STUHFL_T_ST25RU3993_Gen2_InventoryCfg

      public class STUHFL_T_ST25RU3993_Gen2_InventoryCfg.QueryParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `sel`
    `STUHFL_E.GEN2_SESSION` | `session` < I/O Param: For QUERY Sel field
    `STUHFL_E.GEN2_TARGET` | `target` < I/O Param: STUHFL_D_GEN2_SESSION_S0, ...
    `boolean` | `targetDepletionMode` < I/O Param: Toggle between Target A and B
    `boolean` | `toggleTarget` < I/O Param: For QUERY Target field

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParams(byte sel, STUHFL_E.GEN2_SESSION session, STUHFL_E.GEN2_TARGET target, boolean toggleTarget, boolean targetDepletionMode)` < I/O Param: If set to 1 and the target shall be toggled in inventory an additional inventory round before the target is toggled will be executed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sel

          public byte sel

    - #### session

          public STUHFL_E.GEN2_SESSION session

      < I/O Param: For QUERY Sel field

    - #### target

          public STUHFL_E.GEN2_TARGET target

      < I/O Param: STUHFL_D_GEN2_SESSION_S0, ...

    - #### toggleTarget

          public boolean toggleTarget

      < I/O Param: For QUERY Target field

    - #### targetDepletionMode

          public boolean targetDepletionMode

      < I/O Param: Toggle between Target A and B

  - ### Constructor Detail

    - #### QueryParams

          public QueryParams(byte sel,
                             STUHFL_E.GEN2_SESSION session,
                             STUHFL_E.GEN2_TARGET target,
                             boolean toggleTarget,
                             boolean targetDepletionMode)

      < I/O Param: If set to 1 and the target shall be toggled in inventory an additional inventory round before the target is toggled will be executed. This gives "weak" transponders an additional chance to reply.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`